//--------------------------------------------------------------------
// Aver_det2.mq4 
//--------------------------------------------------------------------
#property indicator_separate_window // Drawing in a separate window
#property indicator_buffers 1       // Number of buffers
#property indicator_color1 Blue     // Color of the 1st line

extern int Aver_Bars=5;             // Amount of bars for calculation 

double Buf_0[];                     // Declaring an indicator array
//--------------------------------------------------------------------
int init()                          // Special function init()  
   {   
   SetIndexBuffer(0,Buf_0);         // Assigning an array to a buffer   
   SetIndexStyle (0,DRAW_LINE,STYLE_SOLID,1);// line style   
   return;                          // Exit the special funct. init()  
   }
//--------------------------------------------------------------------
int start()                         // Special function start()  
   {   
   int i,                           // Bar index
   n,                               // Formal parameter   
   Counted_bars;                    // Number of counted bars   
   double   
         Diff_OC,                   // Sum of the difference between open and close for period   
         Diff_HL;                   // Sum of the difference between high and low for period
//--------------------------------------------------------------------   

   Counted_bars=IndicatorCounted(); // Number of counted bars   
   i=Bars-Counted_bars-1;           // Index of the first uncounted   
           
   while(i>=0)                        // Loop for uncounted bars     
      {      
                 Diff_OC=0;
                 Diff_HL=0;   // Nulling at loop beginning      
      
      for(n=i;n<=i+Aver_Bars-1;n++)   // Loop of summing values         
         {           
          Diff_OC=Diff_OC + (Open[n]-Close[n]);     // Accumulating difference between open and close sum         
          Diff_HL=Diff_HL + (High[n]-Low[n]);       // Accumulating difference between high and low sum      
          }    
      Diff_OC=MathAbs(Diff_OC);                     //Making Diff_OC positive 
      Buf_0[i]=(Diff_OC/Diff_HL)/Aver_Bars;         // Value of 0 buffer on i bar      
      i--;                                          // Calculating index of the next bar     
      }
//--------------------------------------------------------------------   
   return;                          // Exit the special funct. start()  
   }
//--------------------------------------------------------------------





